Subject: [6tisch] RobWilton review of draft-ietf-6tisch-enrollment-enhanced-beacon-13

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 20 Feb 2020 12:07:22 +0000

Hi,

I reviewed this document (in the guise of the incoming Mgmt AD)  but found the introduction slightly hard going (I'm not familiar with TSCH).

The abstract clearly identifies the scope of this document, but the introduction is somewhat less clear, at least to me.  To that end, I have two possible suggestions that might help improve it:

1. Move the following paragraph from the end of the introduction near to the top of the introduction, i.e. after the first introduction paragraph.

   This document defines a new IETF Information Element (IE) subtype to
   place into the Enhanced Beacon (EB) to provide join and enrollment
   information to prospective pledges in a more efficient way.

2. Add some additional text, something like the following before the section 1.1:

"The following sub-sections explain the problem being solved, which
justify carrying the join and enrollement information in the EB."

I.e. the beginning of section 1 would become something like:

1.  Introduction

   [RFC7554] describes the use of the Time-Slotted Channel Hopping
   (TSCH) mode of [ieee802154].  As further detailed in [RFC8180], an
   Enhanced Beacon (EB) is transmitted during a slot designated as a
   broadcast slot.

   This document defines a new IETF Information Element (IE) subtype to
   place into the Enhanced Beacon (EB) to provide join and enrollment
   information to prospective pledges in a more efficient way.

   The following sub-sections explain the problem being solved, which
   justify carrying the join and enrollement information in the EB.

1.1.   Use of BCP 14 Terminology
...

Regards,
Rob

---

From: Michael Richardson <[email-masked]>
Date: Thu, 20 Feb 2020 13:55:08 +0100

Rob Wilton (rwilton) <[email-masked]> wrote:
    > 1. Move the following paragraph from the end of the introduction near
    > to the top of the introduction, i.e. after the first introduction
    > paragraph.

A good idea, thank you.

    > justify carrying the join and enrollement information in the EB."

will be done in -14.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 20 Feb 2020 13:03:25 +0000

Thanks for updating.

Rob

> -----Original Message-----
> From: iesg <[email-masked]> On Behalf Of Michael Richardson
> Sent: 20 February 2020 12:55
> To: Rob Wilton (rwilton) <[email-masked]>
> Cc: [email-masked]; [email-masked]; Pascal Thubert (pthubert)
> <[email-masked]>; draft-ietf-6tisch-enrollment-enhanced-
> [email-masked]; The IESG <[email-masked]>
> Subject: Re: [6tisch] RobWilton review of draft-ietf-6tisch-enrollment-
> enhanced-beacon-13
> 
> 
> Michael Richardson <[email-masked]>, Sandelman Software Works  -=
> IPv6 IoT consulting =-
> 
>